## gimp-webp 0.1.1

=== Makefile ===
# Predefined constants
CC      = gcc
TARGET  = file-webp
SRC_DIR = src
OBJ_DIR = obj
CFLAGS  = $(shell pkg-config --cflags gtk+-2.0) \
          $(shell pkg-config --cflags gimp-2.0)
LFLAGS  = $(shell pkg-config --libs glib-2.0) \
          $(shell pkg-config --libs gtk+-2.0) \
          $(shell pkg-config --libs gimp-2.0) \
          $(shell pkg-config --libs gimpui-2.0) \
          -lwebp

# File definitions
SRC_FILES=$(wildcard $(SRC_DIR)/*.c)
OBJ_FILES=$(SRC_FILES:$(SRC_DIR)/%.c=$(OBJ_DIR)/%.o)

$(TARGET): $(OBJ_DIR) $(OBJ_FILES)
	$(CC) $(OBJ_FILES) -o $(TARGET) $(LFLAGS)

$(OBJ_DIR)/%.o: $(SRC_DIR)/%.c
	$(CC) -c $< -o $@ $(CFLAGS)

$(OBJ_DIR):
	test -d $(OBJ_DIR) || mkdir -p $(OBJ_DIR)

clean:
	rm -rf $(OBJ_DIR)
	rm $(TARGET)

install:
	mkdir -p $(DESTDIR)$(exec_prefix)/lib/gimp/2.0/plug-ins
	cp $(TARGET) $(DESTDIR)$(exec_prefix)/lib/gimp/2.0/plug-ins

uninstall:
	rm $(DESTDIR)$(exec_prefix)/lib/gimp/2.0/plug-ins/$(TARGET)

.PHONY: clean install uninstall

=== debian/changelog ===
gimp-webp (0.1.1-1) precise; urgency=low

  * Updated to support Gimp 2.8

 -- Nathan Osman <admin@quickmediasolutions.com>  Sat, 05 May 2012 19:50:02 -0700

gimp-webp (0.1-1) natty; urgency=low

  * Initial release

 -- Nathan Osman <admin@quickmediasolutions.com>  Thu, 26 May 2011 10:57:46 -0700

=== debian/control ===
Source: gimp-webp
Section: web
Priority: extra
Maintainer: Nathan Osman <admin@quickmediasolutions.com>
Build-Depends: debhelper (>= 7.0.50~), libgimp2.0-dev, libwebp-dev
Standards-Version: 3.9.3
Homepage: https://launchpad.net/gimp-webp

Package: gimp-webp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Gimp plugin that provides WebP support.
 This plugin allows the Gimp to open and save images compressed using the WebP image format.
